| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Functions
camera_utils.h File Reference
`#include "videoAndroid.h"`
`#include <camera/NdkCameraError.h>`
`#include <camera/NdkCameraManager.h>`
Include dependency graph for camera_utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | ASSERT(cond, fmt, ...)
#define | CALL_CAMERA(func)
#define | CALL_MGR(func) CALL_CAMERA(ACameraManager_##func)
#define | CALL_DEV(func) CALL_CAMERA(ACameraDevice_##func)
#define | CALL_METADATA(func) CALL_CAMERA(ACameraMetadata_##func)
#define | CALL_CONTAINER(func) CALL_CAMERA(ACaptureSessionOutputContainer_##func)
#define | CALL_OUTPUT(func) CALL_CAMERA(ACaptureSessionOutput_##func)
#define | CALL_TARGET(func) CALL_CAMERA(ACameraOutputTarget_##func)
#define | CALL_REQUEST(func) CALL_CAMERA(ACaptureRequest_##func)
#define | CALL_SESSION(func) CALL_CAMERA(ACameraCaptureSession_##func)

## Functions
const char * | GetErrorStr (camera_status_t err)
const char * | GetTagStr (acamera_metadata_tag_t tag)
void | PrintMetadataTags (int32_t entries, const uint32_t *pTags)
void | PrintLensFacing (ACameraMetadata_const_entry &lensData)
void | PrintCameras (ACameraManager *cameraMgr)
void | PrintCameraDeviceError (int err)
void | PrintRequestMetadata (ACaptureRequest *req)

## Macro Definition Documentation

## ◆ ASSERT

#define ASSERT | ( |  | cond,
|  |  | fmt,
|  |  | ...
| ) |  |

Value:
if (!(cond)) { \
ARLOGe(#cond, fmt, ##__VA_ARGS__); \
}

## ◆ CALL_CAMERA

#define CALL_CAMERA | ( |  | func | ) |

Value:
{ \
camera_status_t status = func; \
ASSERT(status == ACAMERA_OK, "%s call failed with code: %#x, %s", \
__FUNCTION__, status, GetErrorStr(status)); \
}
GetErrorStr
const char * GetErrorStr(camera_status_t err)
Definition: camera_utils.cpp:62

## ◆ CALL_CONTAINER

#define CALL_CONTAINER | ( |  | func | ) | CALL_CAMERA(ACaptureSessionOutputContainer_##func)

## ◆ CALL_DEV

#define CALL_DEV | ( |  | func | ) | CALL_CAMERA(ACameraDevice_##func)

## ◆ CALL_METADATA

#define CALL_METADATA | ( |  | func | ) | CALL_CAMERA(ACameraMetadata_##func)

## ◆ CALL_MGR

#define CALL_MGR | ( |  | func | ) | CALL_CAMERA(ACameraManager_##func)

## ◆ CALL_OUTPUT

#define CALL_OUTPUT | ( |  | func | ) | CALL_CAMERA(ACaptureSessionOutput_##func)

## ◆ CALL_REQUEST

#define CALL_REQUEST | ( |  | func | ) | CALL_CAMERA(ACaptureRequest_##func)

## ◆ CALL_SESSION

#define CALL_SESSION | ( |  | func | ) | CALL_CAMERA(ACameraCaptureSession_##func)

## ◆ CALL_TARGET

#define CALL_TARGET | ( |  | func | ) | CALL_CAMERA(ACameraOutputTarget_##func)

## Function Documentation

## ◆ GetErrorStr()

const char * GetErrorStr | ( | camera_status_t | err | ) |

## ◆ GetTagStr()

const char * GetTagStr | ( | acamera_metadata_tag_t | tag | ) |

## ◆ PrintCameraDeviceError()

void PrintCameraDeviceError | ( | int | err | ) |

Here is the call graph for this function:

## ◆ PrintCameras()

void PrintCameras | ( | ACameraManager * | cameraMgr | ) |

Here is the call graph for this function:

## ◆ PrintLensFacing()

void PrintLensFacing | ( | ACameraMetadata_const_entry & | lensData | ) |

Here is the call graph for this function:

## ◆ PrintMetadataTags()

void PrintMetadataTags | ( | int32_t | entries,
|  | const uint32_t * | pTags
| ) |  |

Here is the call graph for this function:

## ◆ PrintRequestMetadata()

void PrintRequestMetadata | ( | ACaptureRequest * | req | ) |

Here is the call graph for this function: